package mop.impl;

import mop.pipe.DocumentEvent;
import mop.pipe.DocumentListener;
import mop.pipe.ChannelException;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * Aggiunge attributo id al root tag di qualsiasi documento DOM
 */
public class SampleTransformer implements DocumentListener {

    public SampleTransformer() {
    }

    public void onDocument(DocumentEvent event) throws ChannelException {
        Document document = event.getDocument();
        Element root = document.getDocumentElement();
        if (root.getNodeName().equals("saluto")) {
            root.setAttribute("risposta", "saluto ricevuto da " + getClass().getName());
        }
    }

}